summaryrefslogtreecommitdiffstats
path: root/src/fuel-plugin/deployment_scripts/install.sh
diff options
context:
space:
mode:
authorGuo Ruijing <ruijing.guo@intel.com>2016-07-12 01:57:52 +0800
committerGuo Ruijing <ruijing.guo@intel.com>2016-07-12 01:58:53 +0800
commit54ea933ac9643d2d2f3714aa06afc978fc60551e (patch)
treec8df88f89aa75f095af4fbe7d3a3b64746c9f16a /src/fuel-plugin/deployment_scripts/install.sh
parent215a65015908064b6ca996286584933002f0287a (diff)
Add Fuel Plugin
Change-Id: Ib1a4b7057678e435683b23692310f4e309c3fe10 Signed-off-by: Guo Ruijing <ruijing.guo@intel.com>
Diffstat (limited to 'src/fuel-plugin/deployment_scripts/install.sh')
-rwxr-xr-xsrc/fuel-plugin/deployment_scripts/install.sh54
1 files changed, 54 insertions, 0 deletions
diff --git a/src/fuel-plugin/deployment_scripts/install.sh b/src/fuel-plugin/deployment_scripts/install.sh
new file mode 100755
index 0000000..9a9bf61
--- /dev/null
+++ b/src/fuel-plugin/deployment_scripts/install.sh
@@ -0,0 +1,54 @@
+#!/bin/bash
+set -eux
+
+INSTALL_HOME=/opt/collectd-ceilometer
+
+HOST=$1
+OS_AUTH_URL=$2
+OS_USERNAME=$3
+OS_PASSWORD=$4
+
+CEILOMETER_URL_TYPE=${CEILOMETER_URL_TYPE:-internalURL}
+CEILOMETER_TIMEOUT=${CEILOMETER_TIMEOUT:-1000}
+
+rm -rf $INSTALL_HOME; mkdir -p $INSTALL_HOME
+cd $INSTALL_HOME
+curl http://$HOST:8080/plugins/fuel-plugin-collectd-ceilometer-0.9/repositories/ubuntu/collectd-ceilometer.tgz | tar xzvf -
+
+cat << EOF > /etc/collectd/collectd.conf.d/collectd-ceilometer-plugin.conf
+<LoadPlugin python>
+ Globals true
+</LoadPlugin>
+
+<Plugin python>
+ ModulePath "$INSTALL_HOME"
+ LogTraces true
+ Interactive false
+ Import "collectd_ceilometer_plugin"
+
+ <Module collectd_ceilometer_plugin>
+
+ # Verbosity 1|0
+ #VERBOSE 0
+
+ # Batch size
+ BATCH_SIZE 3
+
+ # Service endpoint addresses
+ OS_AUTH_URL "$OS_AUTH_URL"
+
+ # Ceilometer address
+ #CEILOMETER_ENDPOINT
+ CEILOMETER_URL_TYPE "$CEILOMETER_URL_TYPE"
+
+ # Ceilometer timeout in ms
+ CEILOMETER_TIMEOUT "$CEILOMETER_TIMEOUT"
+
+ # # Ceilometer user creds
+ OS_USERNAME "$OS_USERNAME"
+ OS_PASSWORD "$OS_PASSWORD"
+ OS_TENANT_NAME "service"
+
+ </Module>
+</Plugin>
+EOF